package com.fjhx.common.service.corporation;

import com.fjhx.common.entity.corporation.po.Corporation;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.corporation.vo.CorporationVo;
import com.fjhx.common.entity.corporation.dto.CorporationSelectDto;
import com.fjhx.common.entity.corporation.dto.CorporationDto;


/**
 * <p>
 * 多公司配置 服务类
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
public interface CorporationService extends BaseService<Corporation> {

    /**
     * 多公司配置分页
     */
    Page<CorporationVo> getPage(CorporationSelectDto dto);

    /**
     * 多公司配置明细
     */
    CorporationVo detail(Long id);

    /**
     * 多公司配置新增
     */
    void add(CorporationDto corporationDto);

    /**
     * 多公司配置编辑
     */
    void edit(CorporationDto corporationDto);

    /**
     * 多公司配置删除
     */
    void delete(Long id);

}
